aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-05-19 16:04:48 +0000
committerAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-05-19 16:04:48 +0000
commitf9e9d79ce28ac71e8428b8a1e1a34f86896bd33c (patch)
treeaeadca177c62863d722f95d99a95869123a384fd
parent7e6f88adeab001ec4bfd8cc02742693f22f6e7ca (diff)
downloadpaludis-f9e9d79ce28ac71e8428b8a1e1a34f86896bd33c.tar.gz
paludis-f9e9d79ce28ac71e8428b8a1e1a34f86896bd33c.tar.xz
Add support for DEFAULT_SRC_INSTALL_EMAKE_EXTRA_PARAMS in default_src_install.
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_install.bash4
1 files changed, 2 insertions, 2 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_install.bash b/paludis/repositories/e/ebuild/exheres-0/src_install.bash
index 57ca463..7bfe84c 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_install.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_install.bash
@@ -24,9 +24,9 @@ default_src_install()
{
local done_docs old_set f d p doc e
if [[ -f Makefile ]] || [[ -f makefile ]] || [[ -f GNUmakefile ]] ; then
- if make -j1 -n install ; then
+ if make -j1 -n ${DEFAULT_SRC_INSTALL_EMAKE_EXTRA_PARAMS} install ; then
echo "Found a makefile, using the install target"
- emake -j1 DESTDIR="${D}" install || die "default emake install failed";
+ emake -j1 DESTDIR="${D}" ${DEFAULT_SRC_INSTALL_EMAKE_EXTRA_PARAMS} install || die "default emake install failed";
else
die "default emake install located a makefile but no install target"
fi